Bug 2509

Summary: create Debian package
Product: Koha Reporter: Galen Charlton <gmcharlt>
Component: Architecture, internals, and plumbingAssignee: Chris Cormack <chris>
Status: CLOSED FIXED QA Contact: Bugs List <koha-bugs>
Severity: enhancement    
Priority: P3 CC: dubyk, katrin.fischer, magnus, robin
Version: master   
Hardware: PC   
OS: All   
Change sponsored?: --- Patch complexity: ---
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
Bug Depends on: 4330, 4877, 6361    
Bug Blocks:    

Description Chris Cormack 2010-05-21 00:52:00 UTC


---- Reported by gmcharlt@gmail.com 2008-08-12 18:13:09 ----

Create a Debian package for Koha 3.0 and later.  Debian package metadata will be in Koha's git tree, so we'll be a case where upstream (more precisely, somebody from upstream) maintains the Debian package.



---- Additional Comments From vdanjean.ml@free.fr 2008-08-14 05:49:20 ----

Please, do not include the debian/ directory in the released tarball upstream. It is a mess to deal with it if you want koha to be included in official Debian.
  And if you want to make debian packages for old (stable, old-stable, ...) distribution, you have to managed several debian/ directories.

  So, debian/ can be in a SCM but I really do not think that adding it in the same repo as the sources is a good thing. If using git, creating specific branches for each debian distributions can be a good thing to do. debian/ directory will then only appear in these git branches.

  Note: I just uploaded idzebra to Debian (ie the last Koha dependency if I'm right). I will start to work on Koha packaging itself. My packaging work will be available on http://git.debian.org/?p=collab-maint/koha.git;a=summary
(the wip branch will be sometimes rebased)




---- Additional Comments From gmcharlt@gmail.com 2008-08-14 06:46:20 ----

(In reply to comment #1)
> Please, do not include the debian/ directory in the released tarball upstream.
> It is a mess to deal with it if you want koha to be included in official
> Debian.

It can be excluded from the official tarball if necessary.
 
>   So, debian/ can be in a SCM but I really do not think that adding it in the
> same repo as the sources is a good thing. If using git, creating specific
> branches for each debian distributions can be a good thing to do. debian/
> directory will then only appear in these git branches.

Since we have several people in this upstream project willing to work on Debian packaging and a lot of interest in the results of it, I'm not sure I see a problem having debian/ in the main git tree.  I'm open to experimenting with putting packaging work on separate branches, but I'd like to promote keeping the control files in sync with upstream development as much as possible, to allow us to quickly produce unofficial .debs on demand and as a way to allow a Koha user to readily create such packages on their own.

>   Note: I just uploaded idzebra to Debian (ie the last Koha dependency if I'm
> right). I will start to work on Koha packaging itself. My packaging work will
> be available on http://git.debian.org/?p=collab-maint/koha.git;a=summary
> (the wip branch will be sometimes rebased)

Thanks.




--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:52 UTC  ---

This bug was previously known as _bug_ 2509 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2509

Actual time not defined. Setting to 0.0
CC member vdanjean.ml@free.fr does not have an account here

Comment 1 Katrin Fischer 2011-04-25 11:47:23 UTC
What is the status of this with the now available packages from debian.koha-community.org?
Comment 2 Robin Sheat 2011-06-12 01:48:21 UTC
(In reply to comment #1)
> What is the status of this with the now available packages from
> debian.koha-community.org?

The current packages aren't quite suitable for putting in to Debian proper, this is in part due to outdated/incomplete copyright information in Debian itself. There may be more issues that a debian developer would be able to spot. However, they are useful for ensuring that the package fundamentals do work. If we go into Debian proper, we'll likely remove the debian/ directory from master and maintain it in its own branch, for the use of Debian and our own packages.
Comment 3 Galen Charlton 2015-12-05 07:04:51 UTC
Debian packages for Koha have existed for years, so I think this bug can be safely closed. In fact, I shall do so. :)